bcr_test_module:
  module_path: e2e
  matrix:
    bazel:
      - 7.x
    platform:
      # TODO: Enable when we can fallback to an older `coreutils` in testing
      # `uutils/coreutils` only goes back to `glibc@2.18`
      # - centos7_java11_devtoolset10
      - debian10
      - debian11
      - ubuntu2004
      - ubuntu2004_arm64
      - ubuntu2204
      - fedora39
      - macos
      # TODO: enable when `@ape` supports Apple Silicon as `rules_diff` uses `@ape//:diff`
      # https://gitlab.arm.com/bazel/ape/-/issues/1
      # - macos_arm64
      # TODO: enable this once the `gitlab.arm.com` does not use a self-signed certificate
      # - windows
  tasks:
    run_tests:
      name: Run end-to-end Tests
      bazel: ${{ bazel }}
      platform: ${{ platform }}
      test_targets:
        - "//..."
